Bug 321296 - opencv error message during face scan
Summary: opencv error message during face scan
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Detection (show other bugs)
Version: 3.3.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-17 21:20 UTC by simon
Modified: 2013-09-07 19:25 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 3.3.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description simon 2013-06-17 21:20:50 UTC
hi,

during scan i get this:


digikam(25201)/KFACE KFaceIface::OpenCVFaceDetector::cascadeResult: detectMultiScale: image size  800   532  searchIncrement  1.1  grouping  3  flags  1  min size  26   26
OpenCV Error: Bad argument (This LBPH model is not computed yet. Did you call the train method?) in predict, file /var/tmp/portage/media-libs/opencv-2.4.5/work/opencv-2.4.5/modules/contrib/src/facerec.cpp, line 822
digikam(25201)/KFACE: cv::Exception: /var/tmp/portage/media-libs/opencv-2.4.5/work/opencv-2.4.5/modules/contrib/src/facerec.cpp:822: error: (-5) This LBPH model is not computed yet. Did you call the train method? in function predic


Reproducible: Sometimes
Comment 1 caulier.gilles 2013-06-17 21:22:33 UTC
Which OpenCV release do you use ? Go to Help/Components Info for details.

Gilles Caulier
Comment 2 caulier.gilles 2013-06-17 21:23:02 UTC
Oups, i just see : OpenCV 2.4.5...
Comment 3 Marcel Wiesweg 2013-06-18 19:13:02 UTC
Could it simply be that you really did not train anything yet? All is new with libkface, so chances are you did not rebuild the training data, nor confirm new faces.
Comment 4 Tito 2013-06-23 21:59:57 UTC
I get the exact same errors. Same opencv version. I scan for faces and confirm some by adding a tag to them. Although some others photos are nearly the same (shot with high frame rate) the recognition status is given as "completed" after 0 or 1 seconds and none of the faces are identified.
Deleting the libkface database and starting all over does not change anything.

digikam 3.3.0-beta2 on Slackware-current, all compiled from source.
Comment 5 Tito 2013-07-12 18:18:45 UTC
With digikam-3.3.0rc3 the error does not occur no more for me. digikam also recognizes some faces after training now. :)
Comment 6 Slobodan Simic 2013-09-07 19:25:00 UTC
I have same errors with openCV even with digikam 3.3.0 taken from kubuntu-ppa repository
 here is console output
 
OpenCV Error: Bad argument (This LBPH model is not computed yet. Did you call the train method?) in predict, file /build/buildd/opencv-2.4.5+dfsg/modules/contrib/src/facerec.cpp, line 822
digikam(2793)/KFACE: cv::Exception: /build/buildd/opencv-2.4.5+dfsg/modules/contrib/src/facerec.cpp:822: error: (-5) This LBPH model is not computed yet. Did you call the train method? in function predict
 
and it goes over and over again...
percentage of process done is 14% and stays there and I can continue working in digikam.

Is it digikam (openCV) or package error?